Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.layout
Class NonDelimitedFlatContentReceiver

    java.lang.Object
      com.servingxml.components.flatfile.layout.NonDelimitedFlatContentReceiver

All Implemented Interfaces:
  FlatContentReceiver

    public class NonDelimitedFlatContentReceiver

extends java.lang.Object
implements FlatContentReceiver

Constructor Summary
`NonDelimitedFlatContentReceiver(FlatRecordReceiver receiver)`

Method Summary
`void` | `commentLine(byte[] data, int start, int length)`
`void` | `data(RecordInput recordInput)`
`void` | `delimiter(byte[] data, int start, int length)`
`void` | `endBody()`
`void` | `endFlatFile()`
`void` | `endHeader()`
`void` | `endRecord()`
`void` | `endTrailer()`
`void` | `ignorableWhitespace(byte[] data, int start, int length)`
`void` | `lineContinuation(byte[] data, int start, int length)`
`void` | `startBody()`
`void` | `startFlatFile()`
`void` | `startHeader()`
`void` | `startRecord()`
`void` | `startTrailer()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonDelimitedFlatContentReceiver

    public NonDelimitedFlatContentReceiver(FlatRecordReceiver receiver)

Method Detail

### startFlatFile

    public void startFlatFile()

  Specified by:
    `startFlatFile` in interface `FlatContentReceiver`

### endFlatFile

    public void endFlatFile()

  Specified by:
    `endFlatFile` in interface `FlatContentReceiver`

### startHeader

    public void startHeader()

  Specified by:
    `startHeader` in interface `FlatContentReceiver`

### endHeader

    public void endHeader()

  Specified by:
    `endHeader` in interface `FlatContentReceiver`

### startBody

    public void startBody()

  Specified by:
    `startBody` in interface `FlatContentReceiver`

### endBody

    public void endBody()

  Specified by:
    `endBody` in interface `FlatContentReceiver`

### startTrailer

    public void startTrailer()

  Specified by:
    `startTrailer` in interface `FlatContentReceiver`

### endTrailer

    public void endTrailer()

  Specified by:
    `endTrailer` in interface `FlatContentReceiver`

### startRecord

    public void startRecord()

  Specified by:
    `startRecord` in interface `FlatContentReceiver`

### endRecord

    public void endRecord()

  Specified by:
    `endRecord` in interface `FlatContentReceiver`

### commentLine

    public void commentLine(byte[] data,
                            int start,
                            int length)

  Specified by:
    `commentLine` in interface `FlatContentReceiver`

### data

    public void data(RecordInput recordInput)

  Specified by:
    `data` in interface `FlatContentReceiver`

### delimiter

    public void delimiter(byte[] data,
                          int start,
                          int length)

  Specified by:
    `delimiter` in interface `FlatContentReceiver`

### lineContinuation

    public void lineContinuation(byte[] data,
                                 int start,
                                 int length)

  Specified by:
    `lineContinuation` in interface `FlatContentReceiver`

### ignorableWhitespace

    public void ignorableWhitespace(byte[] data,
                                    int start,
                                    int length)

  Specified by:
    `ignorableWhitespace` in interface `FlatContentReceiver`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD